6 endpoints

Contacts

Base path: /organizations/:orgId/contacts · Source: backend/src/modules/contacts/contacts.controller.ts

GET/organizations/:orgId/contacts
bearer

Path params

orgIdstring

Query params

qstring

Ejemplo curl

curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/contacts' \
  -H 'Authorization: Bearer YOUR_TOKEN'
POST/organizations/:orgId/contacts
bearer

Path params

orgIdstring

Body

UpsertContactDtoparámetro: dto

Ejemplo curl

curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/contacts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/organizations/:orgId/contacts/import
bearer

Path params

orgIdstring

Query params

defaultCountrystring
defaultOptInstring

Ejemplo curl

curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/contacts/import' \
  -H 'Authorization: Bearer YOUR_TOKEN'
GET/organizations/:orgId/contacts/:id
bearer

Path params

orgIdstring
idstring

Ejemplo curl

curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/contacts/00000000-0000-0000-0000-000000000000' \
  -H 'Authorization: Bearer YOUR_TOKEN'
PATCH/organizations/:orgId/contacts/:id
bearer

Path params

orgIdstring
idstring

Body

UpdateContactDtoparámetro: dto

Ejemplo curl

curl -X PATCH 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/contacts/00000000-0000-0000-0000-000000000000' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
DELETE/organizations/:orgId/contacts/:id
bearer

Path params

orgIdstring
idstring

Ejemplo curl

curl -X DELETE 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/contacts/00000000-0000-0000-0000-000000000000' \
  -H 'Authorization: Bearer YOUR_TOKEN'